# Faster YouTube Summary

**Faster YouTube Summary** is a tool designed to quickly generate detailed summaries of YouTube videos using the power of the Groq API. With this tool, you can obtain a comprehensive summary of a YouTube video in just 2 seconds (requires native captions).

## Installation

To install the necessary dependencies, run the following command:

```bash
pip install pytubefix groq
```

## Setup

Faster YouTube Summary utilizes the Groq API to deliver fast responses from large language models (LLMs). To use the tool, you'll need a Groq API key.

1. Obtain your API key from the Groq Console:  
   [Get your Groq API key](https://console.groq.com/keys)

2. Once you have your API key, set it as an environment variable:

```bash
export GROQ_API_KEY="YOUR_API_KEY"
```

## Usage

After completing the setup, run the `main.py` script, paste the YouTube video link, and receive an instant summary.

---